PANDA_NEWPAGE(3)

NAME
panda_newpage - create a new page in the PDF

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 panda_page *panda_newpage(panda_pdf *document, char *pagesize);

DESCRIPTION

Create a new blank page at the end of the PDF with the specified size. Use the standard pagesize strings that are defined by Panda for most things. These are panda_pagesize_a4, and panda_pagesize_usletter. If you need to create your own page sizes, then have a look at these for hints.

RETURNS

Nothing

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_page *page; panda_init(); document = panda_open("filename.pdf", "w"); page = panda_newpage (document, panda_pagesize_a4);

SEE ALSO

panda_open, panda_close

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.